import 'package:cs_resources/generated/l10n.dart';
import 'package:cs_resources/theme/app_colors_theme.dart';
import 'package:domain/entity/user_me_entity.dart';
import 'package:flutter/material.dart';
import 'package:widgets/ext/ex_widget.dart';
import 'package:widgets/my_load_image.dart';
import 'package:widgets/my_text_view.dart';

class HouseholdItem extends StatelessWidget {
  final int index;
  final UserMeHouseholds item;

  const HouseholdItem({
    required this.index,
    required this.item,
  });

  @override
  Widget build(BuildContext context) {
    return Container(
      width: double.infinity,
      color: context.appColors.whiteBG,
      margin: const EdgeInsets.only(bottom: 5),
      padding: const EdgeInsets.symmetric(horizontal: 15, vertical: 15),
      child: Row(
        mainAxisSize: MainAxisSize.max,
        children: [
          MyLoadImage(
            item.avatar,
            width: 65,
            height: 65,
            isCircle: true,
          ).marginOnly(right: 17),
          MyTextView(
            item.name ?? "-",
            fontSize: 17,
            isFontBold: true,
            textColor: context.appColors.textBlack,
            maxLines: 2,
          ).expanded(),
        ],
      ),
    );
  }
}
